 html, body {
      margin: 0;
      padding: 0;
      width: 100%;
      overflow-x: hidden;
    }

    .container-fluid {
      padding-left: 0 !important;
      padding-right: 0 !important;
      margin: 0 !important;
      width: 100% !important;
    }

    body {
      overflow-x: hidden;
    }

    #preloader {
      position: fixed;
      z-index: 9999;
      top: 0; left: 0;
      width: 100%;
      height: 100%;
      background: #111;
      display: flex;
      justify-content: center;
      align-items: center;
      overflow: hidden;
    }

    #curtain-left, #curtain-right {
      position: absolute;
      top: 0;
      width: 50%;
      height: 100%;
      background: #000;
      transition: transform 1.5s ease-in-out;
      z-index: 2;
    }

    #curtain-left { left: 0; }
    #curtain-right { right: 0; }

    #preloader img {
      position: relative;
      z-index: 3;
      width: 300px;
      animation: pulse 1s infinite alternate;
    }

    @keyframes pulse {
      from { transform: scale(1); }
      to { transform: scale(1.1); }
    }

    .curtain-open #curtain-left {
      transform: translateX(-100%);
    }

    .curtain-open #curtain-right {
      transform: translateX(100%);
    }

    .preloader-hide {
      opacity: 0;
      visibility: hidden;
      transition: opacity 0.5s ease-out;
    }

    .sidebar {
      background-color: black;
      border-right: 1px solid #ddd;
    }

    .sidebar a {
      display: block;
      padding: 10px;
      border-bottom: 1px solid #ccc;
      color: #e8ce8c !important;
      text-decoration: none;
      cursor: pointer;
    }

    .sidebar a:hover {
      background-color: #e8ce8c;
      color: black !important;
    }

    .photo {
      height: 250px;
      background-color: #ddd;
      display: flex;
      align-items: center;
      justify-content: center;
    }

    footer {
      background-color: #f1f1f1;
      padding: 10px;
      text-align: center;
      border-top: 1px solid #ccc;
    }

    .fade-out {
      opacity: 0;
      transition: opacity 0.5s ease-out;
    }

    .fade-in {
      opacity: 1;
      transition: opacity 0.5s ease-in;
    }

    @media (max-width: 768px) {
      #sidebar {
        display: none;
      }

      #toggleMenu {
        display: inline-block;
      }
    }

    @media (min-width: 769px) {
      #toggleMenu {
        display: none;
      }
    }